<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Settings extends Model
{
    use HasFactory;
    use SoftDeletes;
    public $timestamps = true;
    protected $fillable = [
        'company_name',
        'coffee_name',
        'contact_person',
        'contact_person_email',
        'contact_person_phone',
        'country',
        'city',
        'address',
        'registeration_number',
        'vat_number',
        'tax',
        'logo',
    ];
}
