@extends('layouts.app')
@section('title')
Upload Products
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
    {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.uploadProduct') }}</h5>
            <form action="{{route('uploadContent',$last)}}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="position-relative form-group col-md-10">
                        <label for="name_en" class="">{{ __('messages.text1') }}</label>
                        <a href="{{ route('getDownload',$last) }}" class="btn">
                            <i class="fa-solid fa-download text-green"></i>
                        </a>
                        <input type="file" id="fileuploaded" name="fileuploaded" accept="FILETYPE">
                    </div>

                </div>
                <a href="#"  class="mt-1 btn btn-primary back_btn">{{ __('messages.back') }}</a>
                <button class="mt-1 btn bg-darkblue text-white">{{ __('messages.submit') }}</button>
            </form>
        </div>
    </div>
</div>
@endsection
