@extends('layouts.app')
@section('title')
Add Role
@endsection
@section('content')
@if (count($errors) > 0)
<div class="alert alert-danger" role="alert">
    @foreach ($errors->all() as $error)
        {{ $error }}<br>
    @endforeach
</div>
@endif
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title">{{ __('messages.add_role') }}</h5>
            <form action="{{ route('roles.store') }}" method="POST">
                @csrf
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class="">{{ __('messages.name') }}</label>
                        <input name="name" id="name" placeholder="{{ __('messages.name') }}" class="form-control">
                    </div>
                </div>
                <a href="{{route('roles.index')}}" class="mt-1 btn btn-danger">{{ __('messages.cancel') }}</a>
                <button class="mt-1 btn btn-primary text-white">{{ __('messages.save') }}</button>
            </form>
        </div>
    </div>
</div>
@endsection
