@section('side_menu')
<ul class="vertical-nav-menu">
    <li class="mt-2">
        <a href="{{ route('categories.index') }}">
            <i class="fa fa-list-alt metismenu-icon" aria-hidden="true"></i>
            </i>
{{--            Cateogries--}}
            {{ __('messages.cateogries') }}
        </a>
    </li>
    <li>
        <a href="{{ route('products.index') }}">
            <i class="fa-solid fa-box metismenu-icon"></i>
            {{ __('messages.products') }}
        </a>
    </li>
    <li>
        <a href="{{route('orders')}}">
            <i class="fa-solid metismenu-icon far fa-clipboard"></i>
            {{--  Orders  --}}
            {{ __('messages.orders') }}
        </a>
    </li>

    <li>
        <a href="{{route('all_invoices')}}">
            <i class="fa-solid metismenu-icon fas fa-file-invoice-dollar"></i>
            {{__('messages.invoices')}}
        </a>
    </li>
    <li>
        <a href="{{route('add_order')}}">
            <i class="fa-solid  metismenu-icon fa-cash-register"></i>

            {{ __('messages.pos') }}
        </a>
    </li>
    @if( Auth::user()->role->id !=4 )
    <li>
        <a href="{{ route('suppliers.index') }}">
            <i class="fa-solid metismenu-icon fas fa-user-tie"></i>
            {{ __('messages.suppliers') }}
        </a>
    </li>
    <li>
        <a href="{{ route('purchases.index') }}">
            <i class="fa-solid metismenu-icon fas fa-shopping-basket"></i>
            {{ __('messages.purchases') }}
        </a>
    </li>
    @endif
    <li>
        <a href="{{ route('inventories.index') }}">
            <i class="fa fa-cubes metismenu-icon fa-shelves" aria-hidden="true"></i>
            {{--  <i class="fa-solid metismenu-icon fa-shelves"></i>  --}}
            {{ __('messages.inventory') }}
        </a>
    </li>
    {{--  <li>
        <a href="{{ route('roles.index') }}">
            <i class="fa-solid metismenu-icon pe-7s-settings"></i>
            {{ __('messages.roles') }}
        </a>
    </li>  --}}
    @if( Auth::user()->role->id !=4 )
        <li>
            <a href="{{ route('all_users')  }}">
                <i class="fa-solid metismenu-icon fas fa-users"></i>
                {{ __('messages.users') }}
            </a>
        </li>
        @if (Auth::user()->role->id == 1 || Auth::user()->role->id == 2 || Auth::user()->role->id ==3)
            <li>
                <a href="{{ route('support')  }}">
                    <i class="fa-solid fa-headset metismenu-icon"></i>
                    {{ __('messages.support') }}
                </a>
                {{--  <ul>
                    <li>
                        <a href="{{ route('support')  }}">
                            <i class="fa-solid metismenu-icon fa-headset"></i>
                            {{ __('messages.support') }}
                        </a>
                    </li>
                    <li>
                        <a href="{{ route('supports')  }}">
                            <i class="fa-solid metismenu-icon fa-headset"></i>
                            {{ __('messages.supports') }}
                        </a>
                    </li>
                </ul>  --}}
            </li>
        @else
            <li>
                <a href="{{ route('support')  }}">
                    <i class="fa-solid metismenu-icon fa-headset"></i>
                    {{ __('messages.support') }}
                </a>
            </li>
        @endif
    @endif

    <li>
        <a href="{{ route('reports.index')  }}">
            <i class="fa-solid metismenu-icon fa fa-file"></i>
            {{ __('messages.reports') }}
        </a>
    </li>
    @if( Auth::user()->role->id !=4 )
            <li>
                {{--  <a href="">
                    <i class="fa-solid fa-gear metismenu-icon"></i>
                    {{ __('messages.settings') }}
                </a>  --}}
                <li>
                    <a href="{{ route('uploadFiles_page')  }}">
                        <i class="fa fa-upload metismenu-icon fa-headset"></i>
                        {{ __('messages.uploadImages') }}
                    </a>
                </li>
                {{--  <ul>
                    <li>
                        <a href="{{ route('settings.index') }}">
                            <i class="fa-solid fa-gear metismenu-icon"></i>
                            {{ __('messages.settings') }}
                        </a>
                    </li>

                </ul>  --}}
            </li>
    @endif
</ul>
@endsection

