<?php $__env->startSection('title'); ?>
Categories
<?php $__env->stopSection(); ?>
<?php
    $language = app()->getLocale()
?>
<?php $__env->startSection('content'); ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue"><?php echo e(__('messages.cateogries')); ?></h5>
                
                <a style="text-decoration: none;" href="<?php echo e(route('categories.create')); ?>" class="bg-blue text-white p-2 border-round fw-bold"><?php echo e(__('messages.add_cat')); ?></a>
            </div>
            <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                <tr class="darkblue">

                    
                    <th><?php echo e(__('messages.name_en')); ?></th>
                    <th><?php echo e(__('messages.name_ar')); ?></th>
                    <th><?php echo e(__('messages.code')); ?></th>

                    <th><?php echo e(__('messages.pos')); ?></th>
                    <th><?php echo e(__('messages.action')); ?></th>
                </tr>
                </thead>
                <tbody>
                    <?php
                        if(count($categories)>0){
                            $counter= count($categories)+1;
                        }else{
                            $counter=1;
                        }
                    ?>
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cat): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                           
                            <td><?php echo e($cat->name_en); ?></td>
                            <td><?php echo e($cat->name_ar); ?></td>
                            <td><?php echo e($cat->code); ?></td>

                            <td>
                            <?php if(  $cat->pos ==1 ): ?>
                                 <?php if($language == 'ar'): ?>
                                     نعم
                                <?php else: ?>
                                      yes
                                 <?php endif; ?>
                            <?php else: ?>
                              <?php if($language == 'ar'): ?>
                                     لا
                                <?php else: ?>
                                      no
                                     <?php endif; ?>
                            <?php endif; ?>
                        </td>
                            <td>
                                <div class="d-flex align-items-center">
                                    <a href="<?php echo e(route('categories.edit', ['id'=>$cat->id])); ?>"><i class="px-2 fa-solid fa-pen-to-square green"></i></a>
                                    <a href="<?php echo e(route('categories.show', $cat->id)); ?>"><i class="px-2 fa-solid fa-eye"></i></a>
                                    <a href="<?php echo e(route('categories.delete', ['id'=>$cat->id])); ?>" class="del_cat"><i class="px-2 fa-solid fa-trash-can red"></i></a>
                            </td>
                        </tr>
                        <?php
                            $counter--;
                        ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function(){
            $('.del_cat').each(function(){
                $(this).on('click',function(event){
                    var elm = $(this);
                    event.preventDefault();

                    Swal.fire({
                        title: 'Are you sure?',
                        text: "You won't be able to revert this!",
                        type: 'warning',
                        showCancelButton: true,
                        confirmButtonColor: '#35fd80',
                        cancelButtonColor: '#d33',
                        confirmButtonText: 'Yes, delete it!'
                    }).then((result) => {
                        if(result.value) {
                            $.ajax({
                                method:'get',
                                url:elm.attr('href'),
                                success: function (data) {
                                    console.log(data);
                                    if(data.status){
                                        Swal.fire({
                                            title: 'Deleted',
                                            text: data.msg,
                                            type: 'success',
                                            confirmButtonColor: '#35fd80',
                                            showConfirmButton:false,
                                            confirmButtonText: 'حسناً',
                                            timer:1000
                                        }).then(function() {
                                            location.reload();
                                          })
                                    }else{
                                        Swal.fire({
                                            title: data.msg,
                                            type: 'error',
                                            confirmButtonColor: '#35fd80',
                                            confirmButtonText: 'حسناً',
                                            timer:2000
                                        }).then(function() {
                                            location.reload();
                                          })
                                    }
                                     // window.location.href = base_url + 'dashboard/orders';
                                //     window.location.href = <?php echo e(route('categories.index')); ?>//'dashboard/categories/index';
                                }
                            });
                        }
                    })
                })
            })
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/categories/index.blade.php ENDPATH**/ ?>