<?php $__env->startSection('title'); ?>
Preview Supplier
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.show_supplier')); ?></h5>
            <form action="<?php echo e(route('suppliers.store')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class=""><?php echo e(__('messages.name')); ?></label>
                        <input name="name" id="name" placeholder="<?php echo e(__('messages.name')); ?>" class="form-control" value="<?php echo e($supplier->name); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class=""><?php echo e(__('messages.email')); ?></label>
                        <input name="email" id="email" placeholder="<?php echo e(__('messages.email')); ?>" class="form-control" value="<?php echo e($supplier->email); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="registeration_number" class=""><?php echo e(__('messages.reg_num')); ?></label>
                        <input name="registeration_number" id="registeration_number" placeholder="<?php echo e(__('messages.reg_num')); ?>" class="form-control" value="<?php echo e($supplier->registeration_number); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="vat_number" class=""><?php echo e(__('messages.vat_num')); ?></label>
                        <input name="vat_number" id="vat_number" placeholder="<?php echo e(__('messages.vat_num')); ?>" class="form-control" type="number" value="<?php echo e($supplier->vat_number); ?>" readonly>
                    </div>
                    
                    <div class="position-relative form-group col-md-6">
                        <label for="city" class=""><?php echo e(__('messages.city')); ?></label>
                        <input name="city" id="city" placeholder="<?php echo e(__('messages.city')); ?>" class="form-control" value="<?php echo e($supplier->city); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="country" class=""><?php echo e(__('messages.country')); ?></label>
                        <input name="country" id="country" placeholder="<?php echo e(__('messages.country')); ?>" class="form-control" value="<?php echo e($supplier->country); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="address" class=""><?php echo e(__('messages.address')); ?></label>
                        <input name="address" id="address" placeholder="<?php echo e(__('messages.address')); ?>" class="form-control"value="<?php echo e($supplier->address); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person" class=""><?php echo e(__('messages.contactPerson')); ?></label>
                        <input name="contact_person" id="contact_person" placeholder="<?php echo e(__('messages.contactPerson')); ?>" class="form-control" value="<?php echo e($supplier->contact_person); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_phone" class=""><?php echo e(__('messages.contactPersonNum')); ?></label>
                        <input name="contact_person_phone" id="contact_person_phone" placeholder="<?php echo e(__('messages.contactPersonNum')); ?>" class="form-control"  value="<?php echo e($supplier->contact_person_phone); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="contact_person_email" class=""><?php echo e(__('messages.contactPersonEmail')); ?></label>
                        <input name="contact_person_email" id="contact_person_email" placeholder="<?php echo e(__('messages.contactPersonEmail')); ?>" class="form-control"  value="<?php echo e($supplier->contact_person_email); ?>" readonly>
                    </div>
                </div>
                <a href="/dashboard/suppliers"  class="mt-1 btn btn-primary"><?php echo e(__('messages.back')); ?></a>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/suppliers/show.blade.php ENDPATH**/ ?>