<?php $__env->startSection('title'); ?>
Inventory
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <?php echo $__env->make('flash::message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h5 class="card-title p-2 mb-0 darkblue"><?php echo e(__('messages.inventory')); ?></h5>
            </div>
            <table class="table table-striped w-100" data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead>
                    <tr class="darkblue">
                        <th>#</th>
                        <th><?php echo e(__('messages.name')); ?></th>
                        <th><?php echo e(__('messages.quantity')); ?></th>
                        <th><?php echo e(__('messages.unit')); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($item->id); ?></td>
                        <?php $language = app()->getLocale();
                          if($language == 'en') { ?>
                        <td><?php echo e($item->items->name_en); ?></td>
                        <?php } else { ?>
                        <td><?php echo e($item->items->name_ar); ?></td>
                        <?php } ?>
                        <td><?php echo e($item->quantity); ?></td>
                        <td><?php echo e($item->items->unit); ?></td>


                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
<script>
    excel = document.getElementsByClassName(".btn.btn-secondary.buttons-excel.buttons-html5");
    console.log(excel);

</script>
<script src="<?php echo e(asset('assets/js/datatable.min.js')); ?>"></script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/inventories/index.blade.php ENDPATH**/ ?>