
<?php $__env->startSection('title'); ?>
Show User
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <h5 class="card-title"><?php echo e(__('messages.show_user')); ?></h5>

                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="name" class=""><?php echo e(__('messages.full_name')); ?></label>
                        <input name="name" id="name" placeholder="<?php echo e(__('messages.full_name')); ?>" class="form-control" value="<?php echo e($user->name); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="username" class=""><?php echo e(__('messages.username')); ?></label>
                        <input name="username" id="username" placeholder="<?php echo e(__('messages.username')); ?>" class="form-control"value="<?php echo e($user->username); ?>" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="email" class=""><?php echo e(__('messages.username')); ?></label>
                        <input name="email" id="email" placeholder="<?php echo e(__('messages.username')); ?>" class="form-control" type="email"value="<?php echo e($user->email); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="password" class=""><?php echo e(__('messages.password')); ?></label>
                        <input name="password" id="password" placeholder="<?php echo e(__('messages.password')); ?>" class="form-control"value="<?php echo e($user->password); ?>" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="residence_id" class=""><?php echo e(__('messages.residence_id')); ?></label>
                        <input name="residence_id" id="residence_id" placeholder="<?php echo e(__('messages.residence_id')); ?>" class="form-control" value="<?php echo e($user->residence_id); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="role" class=""><?php echo e(__('messages.role')); ?></label>
                        <select name="role" id="role" class="form-control" disabled>
                            <option value="" selected disabled hidden><?php echo e(__('messages.choose')); ?> <?php echo e(__('messages.role')); ?></option>
                            <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $type): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option value="<?php echo e($type->id); ?>" <?php if ($type->id == $user->role) echo"selected";?>  ><?php echo e($type->name); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_from" class=""><?php echo e(__('messages.shiftfrom')); ?></label>
                        <input name="shift_from" id="shift_from" placeholder="<?php echo e(__('messages.shiftfrom')); ?>" class="form-control" type="time" step="36000"value="<?php echo e($user->shift_from); ?>" readonly>
                    </div>
                    <div class="position-relative form-group col-md-6">
                        <label for="shift_to" class=""><?php echo e(__('messages.shiftto')); ?></label>
                        <input name="shift_to" id="shift_to" placeholder="<?php echo e(__('messages.shiftto')); ?>" class="form-control" type="time" step="36000" value="<?php echo e($user->shift_to); ?>" readonly>
                    </div>
                </div>
                <div class="row">
                    <div class="position-relative form-group col-md-6">
                        <label for="phone" class=""><?php echo e(__('messages.phone')); ?></label>
                        <input name="phone" id="phone" placeholder="<?php echo e(__('messages.phone')); ?>" class="form-control" type="phone" value="<?php echo e($user->phone); ?>" readonly>
                    </div>
                </div>
              <a href="/dashboard/users"  class="mt-1 btn btn-primary"><?php echo e(__('messages.back')); ?></a>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\kuppitek\resources\views/dashboard/users/show.blade.php ENDPATH**/ ?>