<?php $__env->startSection('title'); ?>
Upload Images
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php if(count($errors) > 0): ?>
<div class="alert alert-danger" role="alert">
    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <?php echo e($error); ?><br>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php endif; ?>

<?php if(Session::has('success')): ?>
    <div class="alert alert-success">
        <?php echo e(Session::get('success')); ?>

        <?php
            Session::forget('success');
        ?>
    </div>
<?php endif; ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            <div class ="row">
                <form action="<?php echo e(route('uploadFile')); ?>" method="POST" enctype="multipart/form-data">
                    <div class="col-12">
                        <h5 class="card-title"><?php echo e(__('messages.product_photo')); ?></h5>
                        
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="position-relative form-group col-md-8">
                                <input type="file" id="fileuploaded" name="filesuploaded[]" accept="image/png, image/gif, image/jpeg"  class="form-control" multiple>
                                <span class="text-danger font-weight-bolder"><?php echo e(__('messages.be_sure')); ?></span>

                            </div>
                        </div>

                        <h5 class="card-title"><?php echo e(__('messages.category_file')); ?></h5>
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="position-relative form-group col-md-8">
                                <input type="file" id="fileuploaded" name="uploads[category]" accept="FILETYPE" class="form-control" multiple>
                                <span><a href="<?php echo e(asset('files/Category.xlsx')); ?>" class="text-danger font-weight-bolder" download>Download Category Excel file and replace data with yours</a></span>
                            </div>
                        </div>

                        <h5 class="card-title"><?php echo e(__('messages.product_file')); ?></h5>
                        <?php echo csrf_field(); ?>
                        <div class="row">
                            <div class="position-relative form-group col-md-8">
                                <input type="file" id="fileuploaded" name="uploads[product]" accept="FILETYPE" class="form-control" multiple>
                                <span><a href="<?php echo e(asset('files/Product.xlsx')); ?>" class="text-danger font-weight-bolder" download>Download Product Excel file and replace data with yours</a></span>
                            </div>
                        </div>
                        <button class="mt-1 btn bg-darkblue text-white"><?php echo e(__('messages.submit')); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/general_settings/images.blade.php ENDPATH**/ ?>