<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Order_Item extends Model
{
    use HasFactory;
    use SoftDeletes;

    public $timestamps = true;
    protected $fillable = [
        'order_id',
        'product_id',
        'quantity',
        'taxable_amount',
        'total_amount',
        'tax_amount'
    ];
    protected $dates        = ['deleted_at'];
}
