<?php

namespace App\Exports;

use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;
use Maatwebsite\Excel\Concerns\FromCollection;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class ReportExport implements WithMultipleSheets
{
    /**
    * @return \Illuminate\Support\Collection
    */

    public function __construct(string $table1 , string $table2,string $date,int $type)
    {
        $this->table1 = $table1;
        $this->table2 = $table2;
        $this->date   = $date;
        $this->type   = $type;
    }

    // public function view(): View
    // {
    //     return view('dashboard.reports.csv_report', [
    //         'content'   => $this->table
    //     ]);
    // }

    public function sheets(): array
    {
        if($this->type == 1){
            return [
                new SummaryReportExport($this->table1,$this->date),
                // new DetailedReportExport($this->table2,$this->date),
            ];
        }else{
            return [
                new SummaryReportExport($this->table1,$this->date),
                new DetailedReportExport($this->table2,$this->date),
            ];
        }
    }
}
