<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Receitek - @yield('title') </title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0/css/all.min.css" integrity="sha512-9usAa10IRO0HhonpyAIVpjrylPvoDwiPUiKdWk5t3PyolY1cOd4DSE0Ga+ri4AuTroPR5aQvXU9xC6qOPnzFeg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link href="{{asset('assets/main.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/dashboard.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/select2.min.css')}}" rel="stylesheet">
    <link href="{{asset('assets/css/sweetalert.min.css')}}" rel="stylesheet">
    {{-- <link href="{{asset('assets/css.css')}}" rel="stylesheet"> --}}
    <link  rel="stylesheet" href="{{ asset('assets/dist/css/bootstrap.min.css') }}"/>
    <link href="{{asset('assets/dist/css/dataTables.bootstrap5.min.css')}}" rel="stylesheet">
    <link href="{{asset('assets/dist/css/buttons.bootstrap5.min.css')}}" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
    <link href="https://gitcdn.github.io/bootstrap-toggle/2.2.2/css/bootstrap-toggle.min.css" rel="stylesheet">
    <script src="https://gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js"></script>
    <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    {{-- datatable --}}
    <link rel="stylesheet" href="{{ asset('assets/css/datatable.min.css') }}" />


    <link rel="icon" href="{{asset('assets/images/favicon.png')}}">
    @stack('styles')
    <link rel="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" type="text/css"/>
    <script src=
    "https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
    <script	src="https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.2.2/Chart.min.js"></script>
    <!--<script type="text/javascript" src="{{asset('assets/js/echarts.min.js')}}"></script>-->
    <script src="https://d3js.org/d3.v4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/billboard.js/dist/billboard.min.js"></script>
    <script>
       var base_url    = "https://sa.receitek.com/pos/test/public/",
           image_url   = "https://sa.receitek.com/pos/test/public/";
    </script>
</head>
<body class="bg-plum-plate d-flex align-items-center flex-column justify-content-center h-100vh">

    <div class="modal-dialog w-100 mx-auto">
        <div class="modal-content">
            <div class="modal-body">
                <div class="h5 modal-title text-center">
                    <h4 class="mt-2">
                        Change Your Password
                    </h4>
                </div>
                <form class="mb-0"method="POST" action="{{route('resetpassword')}}">
                    @csrf
                    <input type="hidden" name="token" value="{{$token}}">
                    <div class="form-row py-2">
                        <div class="col-md-12">
                            <div class="mb-3 row">
                                <label for="staticEmail" class="col-md-4 col-12 col-form-label">New Password</label>
                                <div class="col-md-8 col-12">
                                    <input name="new_password" id="examplePassword" placeholder="Enter your password" type="password" class="form-control">
                                    @if ($errors->has('new_password'))
                                        <span class="text-danger">{{ $errors->first('new_password') }}</span>
                                    @endif
                                </div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="mb-3 row">
                                <label for="staticEmail" class="col-md-4 col-12 col-form-label">Confirm Password</label>
                                <div class="col-md-8 col-12">
                                    <input name="confirm_password" id="examplePassword" placeholder="Enter your password" type="password" class="form-control">
                                    @if ($errors->has('confirm_password'))
                                        <span class="text-danger">{{ $errors->first('confirm_password') }}</span>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer d-block">
                        <div class="row w-100 ml-0">
                            <div class="col-12 d-flex justify-content-center mb-3">
                                <button type="submit" class="btn btn-primary " style="width: 90%">Change </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>

    <script>
        $(document).ready(function(){
            $('.reset_password').on('click',function(event){
                event.preventDefault();
                $.ajax({
                    method:'post',
                    data:{
                        'email':$('#user_email').val(),
                        _token : $('meta[name="csrf-token"]').attr('content')
                    },
                    url:base_url+'send_email',
                    success: function (data) {

                    }
                });
            })
        })
    </script>
</body>
</html>







