@extends('layouts.app')
@section('title')
    Edit Role
@endsection
@section('content')
    @if (count($errors) > 0)
        <div class="alert alert-danger" role="alert">
            @foreach ($errors->all() as $error)
                {{ $error }}<br>
            @endforeach
        </div>
    @endif
    <div class="col-md-12">
        <div class="main-card mb-3 card">
            <div class="card-body"><h5 class="card-title">{{ __('messages.show_role') }}</h5>
                    <div class="row">
                        <div class="position-relative form-group col-md-6">
                            <label for="name" class="">{{ __('messages.name') }}</label>
                            <input type="text" name="name" id="name" placeholder="{{ __('messages.name') }}" class="form-control" value="{{$role->name}}" readonly>
                        </div>
                    </div>
                    <a href="#"  class="mt-1 btn btn-primary back_btn">{{ __('messages.back') }}</a>
            </div>
        </div>
    </div>
@endsection
