<?php $__env->startSection('title'); ?>
    <?php
        $language = app()->getLocale();
    ?>
    <?php if($language=='ar'): ?>
       الطلبات
    <?php else: ?>
        Orders
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            
            <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead class="text-center">
                <tr class="darkblue">
                    <th><?php echo e(__('messages.order#')); ?></th>
                    
                    <th><?php echo e(__('messages.table#')); ?></th>
                    <th><?php echo e(__('messages.index_total')); ?></th>
                    <th><?php echo e(__('messages.order_status')); ?></th>
                    <th><?php echo e(__('messages.order_date')); ?></th>
                    <th><?php echo e(__('messages.action')); ?></th>
                </tr>
                </thead>
                <tbody class="text-center">
                    <?php if(isset($orders) && count($orders)>0): ?>
                        <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                switch( strlen((string)$order->id)){
                                    case('1'):
                                        $order_number = '00000'.$order->id;
                                        break;
                                    case('2'):
                                        $order_number = '0000'.$order->id;
                                        break;
                                    case('3'):
                                        $order_number = '000'.$order->id;
                                        break;
                                    case('4'):
                                        $order_number = '00'.$order->id;
                                        break;
                                    case('6'):
                                        $order_number = '0'.$order->id;
                                        break;
                                    default:
                                        $order_number = $order->id;
                                        break;
                                }
                            ?>
                            <?php
                                switch($order->order_status){
                                    case('1'):
                                        if (app()->getLocale() == 'ar')
                                            $order_status =  'مفتوح';
                                        else $order_status =  'opened';

                                        $color          = "text-success";
                                        break;
                                    case('2'):
                                        if (app()->getLocale() == 'ar')
                                            $order_status =  'ملغى';
                                        else $order_status =  'cancelled';
                                        $color          = "text-danger";
                                        break;
                                    case('3'):
                                        if (app()->getLocale() == 'ar')
                                            $order_status =  'مغلق';
                                        else $order_status =  'closed';
                                        $color          = "text-primary";
                                        break;
                                    default:
                                        break;
                                }
                            ?>
                        <tr>
                            
                            <td><?php echo e($order_number); ?></td>
                            <td><?php echo e($order->table_num); ?></td>
                            <td><?php echo e($order->total); ?></td>
                            <td class="font-weight-bolder <?php echo e($color); ?>">
                                <?php echo e($order_status); ?>

                            </td>
                            <td><?php echo e(date('Y-m-d',strtotime($order->created_at))); ?></td>
                            <td>
                                <a href="<?php echo e(route('show_order',['id'=>$order->id])); ?>" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="show">
                                    <i class="px-2 fa-solid fa-eye"></i>
                                </a>

                                

                                <?php if($order->order_status == 1): ?>
                                    <a href="<?php echo e(route('edit_order',['id'=>$order->id])); ?>" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="edit">
                                        <i class="px-2 fa-solid fa-pen-to-square green"></i>
                                    </a>
                                <?php endif; ?>

                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $('.confirm_del_order').each(function(){
            $(this).on('click',function(ev){
                var elm = $(this);
                ev.preventDefault()
                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            data:{'id':elm.data('order_id')},
                            url:'del_order',
                            success: function (data) {
                                console.log(data)
                                if(data.status == 'success'){
                                    Swal.fire({
                                        title: 'Deleted',
                                        text: "your order # "+elm.data('order_id')+" has been deleted!",
                                        type: 'success',
                                        confirmButtonColor: '#35fd80',
                                        showConfirmButton:false,
                                        confirmButtonText: 'OK',
                                        timer:1000
                                    })
                                    elm.parent().parent().remove()
                                }else{
                                    Swal.fire({
                                        title: "Sorry can't delete this order",
                                        type: 'error',
                                        confirmButtonColor: '#35fd80',
                                        confirmButtonText: 'OK',
                                        })
                                }
                            }
                        });
                    }
                })
            })
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/valve/resources/views/dashboard/orders/index.blade.php ENDPATH**/ ?>