<?php $__env->startSection('side_menu'); ?>
<ul class="vertical-nav-menu">
    <li class="mt-2">
        <a href="<?php echo e(route('categories.index')); ?>">
            <i class="fa fa-list-alt metismenu-icon" aria-hidden="true"></i>
            </i>

            <?php echo e(__('messages.cateogries')); ?>

        </a>
    </li>
    <li>
        <a href="<?php echo e(route('products.index')); ?>">
            <i class="fa-solid fa-box metismenu-icon"></i>
            <?php echo e(__('messages.products')); ?>

        </a>
    </li>
    <li>
        <a href="<?php echo e(route('orders')); ?>">
            <i class="fa-solid metismenu-icon far fa-clipboard"></i>
            
            <?php echo e(__('messages.orders')); ?>

        </a>
    </li>

    <li>
        <a href="<?php echo e(route('all_invoices')); ?>">
            <i class="fa-solid metismenu-icon fas fa-file-invoice-dollar"></i>
            <?php echo e(__('messages.invoices')); ?>

        </a>
    </li>
    <li>
        <a href="<?php echo e(route('add_order')); ?>">
            <i class="fa-solid  metismenu-icon fa-cash-register"></i>

            <?php echo e(__('messages.pos')); ?>

        </a>
    </li>
    <?php if( Auth::user()->role->id !=4 ): ?>
    <li>
        <a href="<?php echo e(route('suppliers.index')); ?>">
            <i class="fa-solid metismenu-icon fas fa-user-tie"></i>
            <?php echo e(__('messages.suppliers')); ?>

        </a>
    </li>
    <li>
        <a href="<?php echo e(route('purchases.index')); ?>">
            <i class="fa-solid metismenu-icon fas fa-shopping-basket"></i>
            <?php echo e(__('messages.purchases')); ?>

        </a>
    </li>
    <?php endif; ?>
    <li>
        <a href="<?php echo e(route('inventories.index')); ?>">
            <i class="fa fa-cubes metismenu-icon fa-shelves" aria-hidden="true"></i>
            
            <?php echo e(__('messages.inventory')); ?>

        </a>
    </li>
    
    <?php if( Auth::user()->role->id !=4 ): ?>
        <li>
            <a href="<?php echo e(route('all_users')); ?>">
                <i class="fa-solid metismenu-icon fas fa-users"></i>
                <?php echo e(__('messages.users')); ?>

            </a>
        </li>
        <?php if(Auth::user()->role->id == 1 || Auth::user()->role->id == 2 || Auth::user()->role->id ==3): ?>
            <li>
                <a href="<?php echo e(route('support')); ?>">
                    <i class="fa-solid fa-headset metismenu-icon"></i>
                    <?php echo e(__('messages.support')); ?>

                </a>
                
            </li>
        <?php else: ?>
            <li>
                <a href="<?php echo e(route('support')); ?>">
                    <i class="fa-solid metismenu-icon fa-headset"></i>
                    <?php echo e(__('messages.support')); ?>

                </a>
            </li>
        <?php endif; ?>
    <?php endif; ?>

    <li>
        <a href="<?php echo e(route('reports.index')); ?>">
            <i class="fa-solid metismenu-icon fa fa-file"></i>
            <?php echo e(__('messages.reports')); ?>

        </a>
    </li>
    <?php if( Auth::user()->role->id !=4 ): ?>
            <li>
                
                <li>
                    <a href="<?php echo e(route('uploadFiles_page')); ?>">
                        <i class="fa fa-upload metismenu-icon fa-headset"></i>
                        <?php echo e(__('messages.uploadImages')); ?>

                    </a>
                </li>
                
            </li>
    <?php endif; ?>
</ul>
<?php $__env->stopSection(); ?>

<?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/layouts/side_menu.blade.php ENDPATH**/ ?>