<?php $__env->startSection('title'); ?>
    <?php
        $language = app()->getLocale();
    ?>
    <?php if($language=='ar'): ?>
        الفواتير
    <?php else: ?>
        Invoices
    <?php endif; ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="col-md-12">
    <div class="main-card mb-3 card">
        <div class="card-body">
            
            <table class="table table-striped w-100"data-replace="jtable" id="example" aria-label="JS Datatable" data-locale="en" data-search="true">
                <thead class="text-center">
                <tr class="darkblue">
                    
                    <th><?php echo e(__('messages.invoice_number')); ?></th>
                    <th><?php echo e(__('messages.order_number')); ?></th>
                    <th><?php echo e(__('messages.table_number')); ?></th>
                    <th><?php echo e(__('messages.index_total')); ?></th>
                    <th><?php echo e(__('messages.action')); ?></th>
                </tr>
                </thead>
                <tbody class="text-center">
                    <?php if(isset($invoices) && count($invoices)>0): ?>
                        <?php $__currentLoopData = $invoices; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $invoice): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
                                switch( strlen((string)$invoice->order->id)){
                                    case('1'):
                                        $order_number = '00000'.$invoice->order->id;
                                        break;
                                    case('2'):
                                        $order_number = '0000'.$invoice->order->id;
                                        break;
                                    case('3'):
                                        $order_number = '000'.$invoice->order->id;
                                        break;
                                    case('4'):
                                        $order_number = '00'.$invoice->order->id;
                                        break;
                                    case('6'):
                                        $order_number = '0'.$invoice->order->id;
                                        break;
                                    default:
                                        $order_number = $invoice->order->id;
                                        break;
                                }
                            ?>
                            <?php
                                switch( strlen((string)$invoice->id)){
                                    case('1'):
                                        $invoice_number = '00000'.$invoice->id;
                                        break;
                                    case('2'):
                                        $invoice_number = '0000'.$invoice->id;
                                        break;
                                    case('3'):
                                        $invoice_number = '000'.$invoice->id;
                                        break;
                                    case('4'):
                                        $invoice_number = '00'.$invoice->id;
                                        break;
                                    case('6'):
                                        $invoice_number = '0'.$invoice->id;
                                        break;
                                    default:
                                        $invoice_number = $invoice->id;
                                        break;
                                }
                            ?>

                        <tr>
                            
                            <td><?php echo e($invoice_number); ?></td>
                            <td><?php echo e($order_number); ?></td>
                            <td><?php echo e($invoice->order->table_num); ?></td>
                            <td><?php echo e($invoice->order->total); ?></td>
                            <td>
                                <a href="<?php echo e(route('show_invoice',['id'=>$invoice->id])); ?>" class="btn" data-bs-toggle="tooltip" data-bs-placement="top" title="show">
                                    <i class="px-2 fa-solid fa-eye"></i>
                                </a>
                                

                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $('.confirm_del_order').each(function(){
            $(this).on('click',function(ev){
                var elm = $(this);
                ev.preventDefault()
                Swal.fire({
                    title: 'Are you sure?',
                    text: "You won't be able to revert this!",
                    type: 'warning',
                    showCancelButton: true,
                    confirmButtonColor: '#35fd80',
                    cancelButtonColor: '#d33',
                    confirmButtonText: 'Yes, delete it!'
                }).then((result) => {
                    if(result.value) {
                        $.ajax({
                            method:'get',
                            data:{'id':elm.data('order_id')},
                            url:'del_order',
                            success: function (data) {
                                console.log(data)
                                if(data.status == 'success'){
                                    Swal.fire({
                                        title: 'Deleted',
                                        text: "your order # "+elm.data('order_id')+" has been deleted!",
                                        type: 'success',
                                        confirmButtonColor: '#35fd80',
                                        showConfirmButton:false,
                                        confirmButtonText: 'OK',
                                        timer:1000
                                    })
                                    elm.parent().parent().remove()
                                }else{
                                    Swal.fire({
                                        title: "Sorry can't delete this order",
                                        type: 'error',
                                        confirmButtonColor: '#35fd80',
                                        confirmButtonText: 'OK',
                                        })
                                }
                            }
                        });
                    }
                })
            })
        })
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/POS/test/resources/views/dashboard/invoices/index.blade.php ENDPATH**/ ?>