<?php $__env->startSection('title'); ?>
Support
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <?php if(count($errors) > 0): ?>
    <div class="alert alert-danger" role="alert">
        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <?php echo e($error); ?><br>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
    <?php endif; ?>
    <body>
        <div class="container">
            <?php if(session('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
            <?php endif; ?>
            <div class="main-card mb-3 card">
                <div class="card-body">
                    <h5 class="card-title"><?php echo e(__('messages.suppotform')); ?></h5>
                    <form method="POST" action="<?php echo e(route('support')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="form-group <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
                            <label for="email"><?php echo e(__('messages.email')); ?></label>
                            <input required name="email" type="email" class="form-control" id="email" aria-describedby="emailHelp" placeholder="<?php echo e(__('messages.enter_email')); ?>">
                            <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                        </div>
                        <div class="form-group <?php echo e($errors->has('name') ? 'has-error' : ''); ?>">
                            <label for="name"><?php echo e(__('messages.full_name')); ?></label>
                            <input required name="name" type="text" class="form-control" id="name" aria-describedby="name" placeholder="<?php echo e(__('messages.your_name')); ?>">
                            <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                        </div>
                        <div class="form-group <?php echo e($errors->has('phone') ? 'has-error' : ''); ?>">
                            <label for="phone"><?php echo e(__('messages.phone')); ?></label>
                            <input required name="phone" type="number" class="form-control" type="number" id="phone" aria-describedby="phone" placeholder="<?php echo e(__('messages.your_phone')); ?>">
                            <span class="text-danger"><?php echo e($errors->first('phone')); ?></span>
                        </div>
                        <div class="form-group <?php echo e($errors->has('subject') ? 'has-error' : ''); ?>">
                            <label for="subject"><?php echo e(__('messages.subject')); ?></label>
                            <input required name="subject" class="form-control" id="subject" rows="3" placeholder="<?php echo e(__('messages.your_subject')); ?>">
                            <span class="text-danger"><?php echo e($errors->first('subject')); ?></span>
                        </div>
                        <div class="form-group <?php echo e($errors->has('comment') ? 'has-error' : ''); ?>">
                            <label for="comment"><?php echo e(__('messages.message')); ?></label>
                            <textarea name="comment" class="form-control" id="comment" rows="3" required placeholder="<?php echo e(__('messages.your_message')); ?>"></textarea>
                            <span class="text-danger"><?php echo e($errors->first('comment')); ?></span>
                        </div>
                        <button type="submit" class="mt-1 btn bg-darkblue text-white"><?php echo e(__('messages.submit1')); ?></button>
                    </form>
                </div>
            </div>

        </div>

    </body>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/receit7/sa.kuppitek.com/pos/test/resources/views/dashboard/support/support.blade.php ENDPATH**/ ?>